textures/common_pb/ballclip
{
	qer_trans 0.3
	surfaceparm clipball
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm playerclip
	surfaceparm trans
}

textures/common_pb/clipmissile
{
	qer_trans 0.3
	surfaceparm clipmissile
	surfaceparm clipball
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm playerclip
	surfaceparm trans
}

gfx/2d/scoreboard
{
	nocompress
	nopicmip
	{
		map gfx/2d/scoreboard.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}

gfx/2d/objective_taken
{
	nocompress
	nopicmip
	{
		map gfx/2d/objective_taken.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen wave sin 2 2 100 0.5 
		rgbGen Vertex
	}
}

gfx/2d/objective_dropped
{
	nocompress
	nopicmip
	{
		map gfx/2d/objective_dropped.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen wave sin 2 2 100 0.5 
		rgbGen Vertex
	}
}

sprites/powerball_obj_red
{
	nocompress
	nopicmip
	{
		map sprites/powerballObjRed.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}

sprites/powerball_obj_red_flash
{
	nocompress
	nopicmip
	{
		map sprites/powerballObjRed.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen wave sin 2 2 100 0.5 
		rgbGen Vertex
	}
}

sprites/powerball_obj_blue
{
	nocompress
	nopicmip
	{
		map sprites/powerballObjBlue.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}

sprites/powerball_obj_blue_flash
{
	nocompress
	nopicmip
	{
		map sprites/powerballobjblue.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen wave sin 2 2 100 0.5 
		rgbGen Vertex
	}
}


models/lzmodels/lamp
{
	nomipmaps
	implicitmap -
}

models/multiplayer/powerball/powerball
{
	{
		map models/multiplayer/powerball/ball_fx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map models/multiplayer/powerball/ball.tga
		blendfunc add
		rgbGen lightingDiffuse
	}
}

models/multiplayer/ball/shield
{
	qer_editorimage textures/sfx/proto_blue.tga
	q3map_backsplash 0 0	
	q3map_surfacelight 100
	q3map_lightsubdivide 64
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	{
		map models/multiplayer/ball/shield.tga
		tcGen environment
        	tcMod turb 0 0.1 0 0.1
        	tcmod scroll .4 .4
		blendFunc GL_SRC_ALPHA GL_ONE
		alphaGen const 0.4
	}
}

models/mapobjects/powergoal/platform
{
	q3map_clipmodel
	implicitmap models/mapobjects/powergoal/goal_base.tga
}

models/mabobjects/powergoal/side
{
	q3map_clipmodel
	implicitmap models/mapobjects/powergoal/goal_side.tga
}

models/multiplayer/flag/pole
{
	cull disable
	nomipmaps
	nopicmip

	implicitmap -
}

models/multiplayer/flag/axis
{
	cull disable
	nomipmaps
	nopicmip

	deformVertexes wave 100 sin 0 2 0 .3
	deformVertexes wave 30 sin 0 2 0 .1
	nofog
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	tessSize 64

	implicitmap -
}

models/multiplayer/flag/allied
{
	cull disable
	nomipmaps
	nopicmip

	deformVertexes wave 100 sin 0 2 0 .3
	deformVertexes wave 30 sin 0 2 0 .1
	nofog
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	tessSize 64

	implicitmap -
}

models/mabobjects/signs/axis_sign
{
	nomipmaps
	nopicmip

	implicitmap -
}

models/mabobjects/signs/allies_sign
{
	nomipmaps
	nopicmip

	implicitmap -
}

// ***********************
// Script by aeon
// ************************
// (deep) Blue
models/mapobjects/powergoal/forcefield_b
{
	qer_editorimage textures/sfx/proto_blue.tga
	q3map_backsplash 0 0	// Avoid point source lighting on face
	q3map_surfacelight 100
	q3map_lightsubdivide 64	// Finer subdevision
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/sfx/proto_blue.tga
		tcGen environment
        	tcMod turb 0 0.1 0 0.1
        	tcmod scroll .1 .1
		blendfunc GL_ONE GL_ONE
	}
}

models/mapobjects/powergoal/forcefield_r
{
	qer_editorimage textures/sfx/proto_red.tga
	q3map_backsplash 0 0	// Avoid point source lighting on face
	q3map_surfacelight 100
	q3map_lightsubdivide 64	// Finer subdevision
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/sfx/proto_red.tga
		tcGen environment
        	tcMod turb 0 0.1 0 0.1
        	tcmod scroll .1 .1
		blendfunc GL_ONE GL_ONE
	}
}

textures/domination/flag_axis
{
	cull disable
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
	nofog
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	tessSize 64
	implicitmask -
}

textures/domination/flag_allies
{
	cull disable
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
	nofog
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	tessSize 64
	implicitmask -
}
