textures/dom_hill/fog
{
	qer_editorimage textures/sfx/fog_grey1.tga
	
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	
	fogparms ( 0.41 0.41 0.41 ) 3200
}

//
// this is main landscape texture
//
textures/dom_hill/terrain_rock2_snow
{
   qer_editorimage textures/dom_hill/snow01.tga
   q3map_lightImage textures/dom_hill/bigrock02.tga
   
   q3map_forceMeta
   q3map_nonplanar
   q3map_shadeAngle 120
   q3map_lightmapAxis z

   surfaceparm snowsteps
   surfaceparm landmine
   
   q3map_tcGen ivector ( 2048 0 0 ) ( 0 2048 0 )   
   q3map_alphaMod dotproduct2 ( 0.1 0 .999 )
   q3map_lightmapSampleSize 64
   q3map_globalTexture
   
   {
      map textures/dom_hill/bigrock02.tga  
      tcMod scale 8 8          
      rgbGen identity      
   }
   {
      map textures/dom_hill/snow01.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      alphaFunc GE128
      rgbGen identity
      alphaGen vertex  
      tcMod scale 8 8    
      
   }
   {
      map $lightmap
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
   }
    
}

textures/dom_hill/sky_box2
{
	qer_editorimage textures/skies/fueldump_clouds.tga
	q3map_lightrgb 0.8 0.9 1.0
	q3map_skylight 85 3
	q3map_sun 1 .95 .9 100 250 30
	q3map_lightmapFilterRadius 0 10
	skyparms - 200 -
	sunshader textures/skies_sd/small_moon
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

// Lanz: commented out, fog disaperared with r_fastsky 0
//	{
//		map textures/skies/fueldump_clouds.tga
//		rgbGen identity
//	}
//	{
//		map textures/skies/fueldump_clouds.tga
//		blendfunc blend
//		rgbGen identity
//		tcMod scroll 0.0005 0.00
//		tcMod scale 2 1
//	}		
}

