// dom_steelplant.shader
// By Drakir

textures/dom_steelplant/light_m6_10000
{
	qer_editorimage textures/dom_steelplant/light_m6.tga
	q3map_lightimage textures/dom_steelplant/light_m6.blend.tga
	q3map_surfacelight 10000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dom_steelplant/light_m6.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/dom_steelplant/light_m6.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/dom_steelplant/dr_steelplant_01
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_07
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_08
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_09
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_10
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_14
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_15
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_16
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_17
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_18
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_22
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_23
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_24
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_25
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_26
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_27
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_28
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_29
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_30
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_31
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_32
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_33
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_mineland
{
	qer_editorimage textures/temperate_sd/dirt3.tga
	surfaceparm grasssteps
	implicitMap textures/temperate_sd/dirt3.tga
}

textures/dom_steelplant/dr_steelplant_lava
{
	qer_editorimage textures/dom_steelplant/dr_steelplant_lava.jpg
	q3map_globaltexture
	surfaceparm trans
	q3map_lightimage textures/lights/light_m2r.blend.tga
	q3map_surfacelight 500
	surfaceparm water
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	deformVertexes wave 1024 sin 0 2 0 .3

	{
		map textures/dom_steelplant/dr_steelplant_lava.jpg
		blendFunc blend
		alphaFunc GE128
		rgbgen identity
		tcmod scroll -.02 .001
		fog on
	}

	{ 
		fog on
		map textures/dom_steelplant/dr_steelplant_lava.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scroll -.001 -.0002
	}

	{ 
		fog on
		map textures/dom_steelplant/dr_steelplant_lava.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.4 0.02 0 0.3
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .005 -.001
	}
}

textures/dom_steelplant/dr_steelplant_lava2
{
	qer_editorimage textures/dom_steelplant/dr_steelplant_lava.jpg
	q3map_globaltexture
	q3map_lightimage textures/lights/light_m2r.blend.tga
	q3map_surfacelight 500
	surfaceparm water
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable

	{
		map textures/dom_steelplant/dr_steelplant_lava.jpg
		tcmod scroll 0 -.52
		fog on
	}

}
textures/dom_steelplant/dr_waterleak
{
	cull none
	nomipmaps
	nopicmip
	{
		map textures/dom_steelplant/dr_waterleak.tga
		blendfunc blend
		alphagen vertex
	}
}

textures/dom_steelplant/dr_redbeam
{
	qer_editorimage textures/metal_misc/metal_m04r2.tga
	qer_trans .8
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/common/dirtymirror.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 0.5
		tcgen environment
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 1.0 0.6 0.6 )
	}
}

textures/dom_steelplant/light_m5_blue
{
	qer_editorimage textures/dom_steelplant/light_m5_b.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dom_steelplant/light_m5_b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/dom_steelplant/light_m5.blend_b.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/dom_steelplant/light_m5_blue20k
{
	qer_editorimage textures/dom_steelplant/light_m5_b.tga
	q3map_surfacelight 20000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dom_steelplant/light_m5_b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/dom_steelplant/light_m5.blend_b.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/dom_steelplant/phong_rock
{
	qer_editorimage textures/temperate_sd/rock_grayvar.tga
	q3map_lightmapmergable
	q3map_lightmapsamplesize 32
	q3map_nonplanar
	q3map_shadeangle 179

	implicitMap textures/temperate_sd/rock_grayvar.tga
}

//   Nuked City
//   ===========

textures/dom_steelplant/dr_steel_sky
{
	qer_editorimage textures/dom_steelplant/nuke_qer1.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 40
// note: Change the surfacelight value if you want more ambient light from the sky.
	q3map_sun 1 1 1 50 130 100  // 150 70
// note: Change the fourth value (70) if you want a brighter or dimmer sun
	skyparms textures/dom_steelplant/env/nuke - -
}

//   Nuked City without Surfacelight (ie NO-GLOW)
//   =============================================

textures/dom_steelplant/dr_steel_sky_noglow
{
	qer_editorimage textures/harlequin_sky/nuke_qer2.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_sun 1 .9 .8 70 150 70
// note: Change the fourth value (70) if you want a brighter or dimmer sun
	skyparms textures/harlequin_sky/env/nuke - -
}

//   ---stop cutting here---